Class linterp
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.linterp

public class linterp
extends ej
list interpolator
See Also:

  ej, lop

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
linterp(com.cycling74.max.Atom[] args) Create a linterp object.

Method Summary
void | bang() Re-Trigger the calculation.
void | inlet(float args) Define "where" we are in the interpolation (mode 1D only).
void | list(float[] args) If the list arrives from the left most inlet: define "where" we are in the interpolation.

Methods inherited from class ej.ej
anything, dblclick, findVersion, inlet, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
linterp
public linterp(com.cycling74.max.Atom[] args)

  Create a linterp object.
  Parameters:
    args - none or "quad", "cube", "weight" specify linterp behavior

Method Detail
bang
public void bang()

  Re-Trigger the calculation.
  Overrides:
    bang in class ej

inlet
public void inlet(float args)

  Define "where" we are in the interpolation (mode 1D only).
  Overrides:
    inlet in class ej

list
public void list(float[] args)

  If the list arrives from the left most inlet: define "where" we are in the interpolation.

  else set the list to be interpolated.

  Overrides:
    list in class com.cycling74.max.MaxObject

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com